//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FQ.MD.WEB.Models
{
    using System;
    using System.Collections.Generic;

    public partial class GT_MASTER_GROUPS
    {
        public GT_MASTER_GROUPS()
        {
            this.GT_MASTER_GROUPS1 = new HashSet<GT_MASTER_GROUPS>();
            this.GT_MASTER_USERS = new HashSet<GT_MASTER_USERS>();
        }

        public int GroupId { get; set; }
        public string GroupName { get; set; }
        public int CompanyId { get; set; }
        public Nullable<int> ParentId { get; set; }
        public string Note { get; set; }
        public bool IsActive { get; set; }
        public Nullable<int> InactivatedBy { get; set; }
        public Nullable<System.DateTime> InactivatedDate { get; set; }
        public Nullable<int> CreatedBy { get; set; }
        public System.DateTime CreatedDate { get; set; }
        public Nullable<int> LastUpdatedBy { get; set; }
        public Nullable<System.DateTime> LastUpdatedDate { get; set; }
        public bool IsDeleted { get; set; }
        public Nullable<int> DeletedBy { get; set; }
        public Nullable<System.DateTime> DeletedDate { get; set; }
        public string Remark { get; set; }

        public virtual GT_MASTER_COMPANIES GT_MASTER_COMPANIES { get; set; }
        public virtual ICollection<GT_MASTER_GROUPS> GT_MASTER_GROUPS1 { get; set; }
        public virtual GT_MASTER_GROUPS GT_MASTER_GROUPS2 { get; set; }
        public virtual ICollection<GT_MASTER_USERS> GT_MASTER_USERS { get; set; }
    }
}
